Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.mips.hardware
Class MemoryAccessNotice

    java.lang.Object
      mars.mips.hardware.AccessNotice
          mars.mips.hardware.MemoryAccessNotice

    public class MemoryAccessNotice

extends AccessNotice

Object provided to Observers of runtime access to MIPS memory. Observer can get the access type (R/W), address and length in bytes (4,2,1).

Author:
  Pete Sanderson

Field Summary

Fields inherited from class mars.mips.hardware.AccessNotice
`READ, WRITE`

Constructor Summary
`MemoryAccessNotice(int type, int address, int value)` Constructor will be called only within this package, so assume address is in valid range.

Method Summary
`int` | `getAddress()` Fetch the memory address that was accessed.
`int` | `getLength()` Fetch the length in bytes of the access operation (4,2,1).
`int` | `getValue()` Fetch the value of the access operation (the value read or written).
`String` | `toString()` String representation indicates access type, address and length in bytes

Methods inherited from class mars.mips.hardware.AccessNotice
`accessIsFromGUI, accessIsFromMIPS, getAccessType, getThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemoryAccessNotice

    public MemoryAccessNotice(int type,
                              int address,
                              int value)

  Constructor will be called only within this package, so assume address is in valid range.

Method Detail

### getAddress

    public int getAddress()

  Fetch the memory address that was accessed.

### getLength

    public int getLength()

  Fetch the length in bytes of the access operation (4,2,1).

### getValue

    public int getValue()

  Fetch the value of the access operation (the value read or written).

### toString

    public String toString()

  String representation indicates access type, address and length in bytes

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD